# xarray.Variable.unstack

`Variable.``unstack`(dimensions=None, **dimensions_kwargs)

  Unstack an existing dimension into multiple new dimensions.

  New dimensions will be added at the end, and the order of the data along each new dimension will be in contiguous (C) order.

  Parameters:

  - dimensions (mapping of the form old_dim={dim1: size1, ..}) – Names of existing dimensions, and the new dimensions and sizes that they map to.
  - **dimensions_kwargs – The keyword arguments form of `dimensions`. One of dimensions or dimensions_kwargs must be provided.

  Returns: | unstacked – Variable with the same attributes but unstacked data.
  Return type: | Variable

  See also

  `Variable.stack()`